import type { EffectCallback } from 'react';
/**
 * This is a kind of react hooks for initial configuration in Functional React Component
 * It is equivalent with componentDidMount() in class React Component
 * This hooks doesn't accept function returning function like useEffect for preventing re-invoke during componentWillUnmount
 *
 * @param callback function will be invoked during componentDidMount
 * @author MJ
 */
declare const useMount: (callback: EffectCallback) => void;
export { useMount };
