export type TickerStatus = 'initial' | 'pause' | 'progress';
export type TickerHandler = (elapsedSec: number) => void;
export declare class Ticker {
    private intervalSec;
    private tickMillis;
    private clear?;
    private accumulatedMs;
    private lastStartedUnixMs;
    status: TickerStatus;
    handler?: TickerHandler;
    constructor(intervalSec?: number, tickMillis?: number);
    start({ handler, intervalSec, tickMillis, }: {
        handler: TickerHandler;
        intervalSec?: number;
        tickMillis?: number;
    }): void;
    resume(): void;
    pause(): void;
    reset(): void;
    private callHandler;
}
