import type { ReactElement } from 'react';
type Status = 'initial' | 'run_pause' | 'run_progress' | 'complete';
export type UseTickerParams = {
    onComplete?: () => void;
    startAtResumeIfNeeded?: boolean;
    disableTickSecUpdate?: boolean;
};
export declare function useTicker({ onComplete, startAtResumeIfNeeded, disableTickSecUpdate, }?: UseTickerParams): {
    status: Status;
    startTicker: ({ durationSec, intervalSec, tickMillis, }?: {
        durationSec?: number | undefined;
        intervalSec?: number | undefined;
        tickMillis?: number | undefined;
    }) => void;
    tickSec: number;
    resetTicker: () => void;
    pauseTicker: () => void;
    resumeTicker: () => void;
    TickerComponent: ({ children, initialTickSec, }: {
        children: ({ tickSec }: {
            tickSec: number;
        }) => ReactElement | null | undefined;
        initialTickSec?: number | undefined;
    }) => ReactElement<any, string | import("react").JSXElementConstructor<any>> | null | undefined;
};
export {};
