export type AppEventListener<T> = (payload: T) => void;
export type AppEventAsyncListener<T> = (payload: T) => Promise<void>;
type EventType = string;
declare class AppEvent {
    #private;
    emitEvent<Payload>(type: EventType, payload?: Payload): boolean;
    awaitEmitEvent<Payload>(type: EventType, payload?: Payload): Promise<void>;
    addEventListener<Payload>(type: EventType, listener: AppEventListener<Payload> | AppEventAsyncListener<Payload>): void;
    removeEventListener<Payload>(type: EventType, listener: AppEventListener<Payload> | AppEventAsyncListener<Payload>): void;
}
declare const appEventInstance: AppEvent;
declare const useAppEventListener: <T>(type: EventType, listener: AppEventListener<T>, unsubscribe?: () => void) => void;
/**
 * Event Emitter will wait the result of the listeners.
 */
declare const useAsyncAppEventListener: <T>(type: EventType, listener: AppEventAsyncListener<T>, unsubscribe?: () => void) => void;
export { appEventInstance as AppEvent, useAppEventListener, useAsyncAppEventListener };
