import type { Context, ReactElement, ReactNode } from 'react';
import React from 'react';
export type ChildrenTransformer = (children?: ReactNode) => ReactNode | undefined;
export type CreatedContext<T, P> = readonly [
    () => T,
    (props: {
        children?: ReactNode;
    } & P) => ReactElement,
    React.Consumer<T>,
    () => T | undefined,
    Context<T | undefined>
];
export declare function createCtx<T, P extends object>(delegate: (props: P, transformChildren: (transformer: ChildrenTransformer) => void) => T, name?: string): CreatedContext<T, P>;
